Debian Bug report logs - #698430
UDD: rcbugs.cgi shows #639407 as affecting Wheezy, but it is fixed+archived

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Niels Thykier <niels@thykier.net>

Date: Fri, 18 Jan 2013 13:21:02 UTC

Severity: normal

Done: Lucas Nussbaum <lucas@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, niels@thykier.net, debian-qa@lists.debian.org:
Bug#698430; Package qa.debian.org. (Fri, 18 Jan 2013 13:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
New Bug report received and forwarded. Copy sent to niels@thykier.net, debian-qa@lists.debian.org. (Fri, 18 Jan 2013 13:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: UDD: rcbugs.cgi shows #639407 as affecting Wheezy, but it is fixed+archived
Date: Fri, 18 Jan 2013 14:17:23 +0100
Package: qa.debian.org
Severity: normal
User: qa.debian.org@packages.debian.org
Usertags: udd

Using a filtered query of RC bugs affecting Wheezy (but not sid and
without an unblock hint)[1], I noticed #639407  being listed.  However,
according to the BTS #639407 is closed, fixed in 2.7.3-1 (Wheezy has
2.7.3-6) _and_ it is archived[2].

I am not sure how and why, but it appears to be the database itself
that is outdated/<insert more accurate word(s) here>.  This bug is
also present in quantz.d.o's UDD instance (no pun intended).

 $ /usr/bin/psql -h localhost -p 5441 -U guest  udd
 udd=> SELECT id,source FROM public.bugs_rt_affects_testing WHERE id = 639407;
    id   |  source
 --------+-----------
  639407 | python2.7
 (1 row)


~Niels

[1] http://udd.debian.org/bugs.cgi?release=wheezy_not_sid&merged=ign&unblock-hint=ign&fnewerval=7&rc=1&sortby=id&sorto=asc&chints=1&ctags=1&cdeferred=1&crttags=1

[2] The latter suggesting that the bug has been fixed in testing for
over a month now.



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#698430; Package qa.debian.org. (Sat, 19 Jan 2013 19:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 19 Jan 2013 19:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 698430@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 698430@bugs.debian.org
Subject: Re: Bug#698430: UDD: rcbugs.cgi shows #639407 as affecting Wheezy, but it is fixed+archived
Date: Sat, 19 Jan 2013 19:30:10 +0000
Hi,

Based on a diff of RC bug numbers according to UDD bugs.cgi vs. britney
testing-nr [0] the surplus bugs are:

#639407 python2.7-dev [not marked as 'found' in any version; archived]
#672677 src:broadcom-sta [marked fixed in wheezy+sid; archived]
#677054 nut-client [marked fixed in wheezy+sid; archived]
#677822 nut-server [marked fixed in wheezy+sid; archived]
#682000 nut-client [marked fixed in wheezy+sid; archived]
#684392 nut-server [marked fixed in wheezy+sid; archived]

These seem correct though (UDD has more recent data than the last
Britney run) :

#676424 emacsen-common [closed today, but without a fixed version]
#696228 graphite-carbon [fixed version just uploaded today]

I didn't find any bugs missing from UDD that are listed in testing-nr.
(Except #694015 which was reopened since the last Britney run).

[0] http://bugs.debian.org/bugscan/britney/testing-nr

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Reply sent to Lucas Nussbaum <lucas@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 16:00:15 GMT) Full text and rfc822 format available.

Notification sent to Niels Thykier <niels@thykier.net>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 16:00:15 GMT) Full text and rfc822 format available.

Message #15 received at 698430-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 698430-done@bugs.debian.org
Subject: Re: Bug#698430: UDD: rcbugs.cgi shows #639407 as affecting Wheezy, but it is fixed+archived
Date: Tue, 29 Jan 2013 16:48:32 +0100
On 19/01/13 at 19:30 +0000, Steven Chamberlain wrote:
> Hi,
> 
> Based on a diff of RC bug numbers according to UDD bugs.cgi vs. britney
> testing-nr [0] the surplus bugs are:
> 
> #639407 python2.7-dev [not marked as 'found' in any version; archived]
> #672677 src:broadcom-sta [marked fixed in wheezy+sid; archived]
> #677822 nut-server [marked fixed in wheezy+sid; archived]
> #682000 nut-client [marked fixed in wheezy+sid; archived]
> #684392 nut-server [marked fixed in wheezy+sid; archived]

Hi,

None of those bugs are listed as affecting wheezy currently.

> #677054 nut-client [marked fixed in wheezy+sid; archived]

This one is, but rightfully.

I suspect that testing-nr does not look at archived bugs. It's possible
that archived bugs start affecting wheezy again, e.g. when someone
messes up the package changelog and branches from an affected version.

I've re-done a diff between testing-nr and UDD, and did not find
anything wrong. So I'm closing the bug, but feel free to reopen if you
run into strange things again.

Lucas



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Feb 2013 07:26:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:28:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.